Get order details
Retrieve detailed information about a specific order by its ID or order number. Returns the full order object including associated user, cart items, subscription (if applicable), and payment details. For subscription orders, also returns the current subscription status.
Authorization
Public key In: header
Path Parameters
GET /v0/orders/:orderIdOrNumber Parameter
Response Body
application/json
application/json
curl -X GET "https://example.com/v0/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "order": { "object": "order", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "number": "string", "status": "PENDING", "value": 0, "tax": 0, "fee": 0, "totalItems": 0, "country": null, "currency": "AFN", "currencyDecimals": null, "createdAt": 0, "userId": null, "user": null, "lastPaymentId": null, "lastPaymentNumber": null, "lastPayment": null, "subscriptionId": null, "subscription": null, "checkoutId": null, "orderNumber": "string" }, "subscription": { "object": "subscription", "id": "string", "status": "all", "createdAt": 0, "currentIntervalEnd": 0, "currentIntervalStart": 0, "cancelAtIntervalEnd": false, "canceledAt": null, "userId": null, "user": null, "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5", "orderNumber": "string", "order": { "object": "order", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "number": "string", "status": "PENDING" }, "lastPaymentId": null, "lastPaymentNumber": null, "lastPayment": null } }}List orders GET
Retrieve a paginated list of orders with powerful filtering options. Orders represent purchases made by customers, including one-time purchases, subscription initiation, and free product claims. Subscription renewal payments are tracked as separate payment objects, not orders. Results are sorted by creation date (newest first) by default.
Update order PATCH
Modify an existing order's details. Can update status, value, fee, tax, and currency. Requires write access. Note: Use with caution as this directly modifies order records. For most cases, use the refund or cancel endpoints instead.